package com.bytedance.android.livesdk.livesetting.linkmic;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_interact_battle_open_timeout")
public final class LiveInteractBattleOpenTimeoutSetting {
    @Group(isDefault = true, value = "default group")
    public static final long DEFAULT = 30;
    public static final LiveInteractBattleOpenTimeoutSetting INSTANCE = new LiveInteractBattleOpenTimeoutSetting();

    static {
        Covode.recordClassIndex(17932);
    }

    public final long getValue() {
        return SettingsManager.INSTANCE.getLongValue(LiveInteractBattleOpenTimeoutSetting.class);
    }
}
